complexType "InterestLegResetDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationPeriodDatesReference?, (resetRelativeTo? | resetFrequency?), fixingDates?
</...>

Content Model Elements (4):

  calculationPeriodDatesReference, fixingDates, | resetFrequency (in interestLegResetDates), resetRelativeTo

All Direct / Indirect Based Elements (1):

  interestLegResetDates

Known Usage Locations

- As direct type of elements (1):
  interestLegResetDates

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="InterestLegResetDates"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="InterestLegCalculationPeriodDatesReference"/> <xsd:choice> <xsd:element minOccurs="0" name="resetRelativeTo" type="ResetRelativeToEnum"/> <xsd:element minOccurs="0" name="resetFrequency" type="ResetFrequency"/> </xsd:choice> <!--View Generation: SKIPPED initialFixingDate - NonStandardFeature--> <xsd:element minOccurs="0" name="fixingDates" type="AdjustableDatesOrRelativeDateOffset"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
calculationPeriodDatesReference

  Type: | InterestLegCalculationPeriodDatesReference, empty content

  A pointer style reference to the associated calculation period dates component defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="InterestLegCalculationPeriodDatesReference"/>

fixingDates

  Type: | AdjustableDatesOrRelativeDateOffset, complex content

  Specifies the fixing date relative to the reset date in terms of a business days offset, or by providing a series of adjustable dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixingDates" type="AdjustableDatesOrRelativeDateOffset"/>

resetFrequency

  Type: | ResetFrequency, complex content

  The frequency at which reset dates occur. In the case of a weekly reset frequency, also specifies the day of the week that the reset occurs. If the reset frequency is greater than the calculation period frequency then this implies that more than one reset date is established for each calculation period and some form of rate averaging is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="resetFrequency" type="ResetFrequency"/>

resetRelativeTo

  Type: | ResetRelativeToEnum, simple content

  Specifies whether the reset dates are determined with respect to each adjusted calculation period start date or adjusted calculation period end date. If the reset frequency is specified as daily this element must not be included.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationPeriodStartDate" | - | Resets will occur relative to the first day of each calculation period. See: http://www.FpML.org
  "CalculationPeriodEndDate" | - | Resets will occur relative to the last day of each calculation period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="resetRelativeTo" type="ResetRelativeToEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.